Bug 1943356 - Dynamic plugins surfaced in the UI should be referred to as "Console plugins"
Summary: Dynamic plugins surfaced in the UI should be referred to as "Console plugins"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.8.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-25 21:11 UTC by Peter Kreuser
Modified: 2021-07-27 22:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:55:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
Operator Installation page shows Console plugins (141.86 KB, image/png)
2021-04-06 07:25 UTC, Yadan Pei
no flags Details
Installed Operators list page shows Console plugins avaiable (150.60 KB, image/png)
2021-04-06 07:25 UTC, Yadan Pei
no flags Details
Operator Details page shows Console plugins (42.32 KB, image/png)
2021-04-06 07:26 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8479 0 None open Bug 1943356: change "UI extension" to "plugin" 2021-03-26 12:22:18 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:56:22 UTC

Description Peter Kreuser 2021-03-25 21:11:45 UTC
Description of problem:
In the Install Operator page, dynamic plugins were referred to as "Console UI Extensions", though that is now determined to be inaccurate. These should be referred to as "Console Plugins."

Version-Release number of selected component (if applicable):
4.8

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Installed Operators page for an operator that includes a dynamic plugin
2. Continue to install the operator and view it in the Installed Operators area 

Actual results:
The dynamic plugin is referred to as "Console UI Extension" throughout the UIs

Expected results:
Text in the Install Operator form and Installed Operators area should be as reflected in this design PR: https://github.com/openshift/openshift-origin-design/pull/510 

Additional info:
This is a change from the original UX design, where we have since determined "Console plugin" is the more accurate term.

Comment 2 Yadan Pei 2021-04-06 07:24:06 UTC
1. Install an operator which contains console plugins
2. Check Operator Installation page, Installed Operators list page, Operator Details page, the plugins are now referred as 'Console plugins' instead of 'UI extension'

see screenshots 

Verified on 4.8.0-0.nightly-2021-04-05-174735

Comment 3 Yadan Pei 2021-04-06 07:25:02 UTC
Created attachment 1769496 [details]
Operator Installation page shows Console plugins

Comment 4 Yadan Pei 2021-04-06 07:25:46 UTC
Created attachment 1769497 [details]
Installed Operators list page shows Console plugins avaiable

Comment 5 Yadan Pei 2021-04-06 07:26:18 UTC
Created attachment 1769498 [details]
Operator Details page shows Console plugins

Comment 8 errata-xmlrpc 2021-07-27 22:55:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.